diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index 2804e30..cdfadd4 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -396,7 +396,7 @@ shpkg_build () {
if [ "x${SHPKG_REPO_DIR}" = "x" ]; then
err 1 "shpkg_build: unknown repo: $SHPKG_REPO"
fi
- shpkg_build_status "${SHPKG_REPO}" running 2>/dev/null || true
+ verbose 2 shpkg_build_status "${SHPKG_REPO}" running || true
SHPKG_REPO_OBJ_DIR="${SHPKG_OBJ_DIR}/${SHPKG_REPO_DIR}"
SHPKG_REPO_SRC_DIR="${SHPKG_SRC_DIR}/${SHPKG_REPO_DIR}"
SHPKG_REPO_VERSION="$(shpkg_version "${SHPKG_REPO}")"
@@ -407,16 +407,16 @@ shpkg_build () {
if [ -f "${SHPKG_REPO_SRC_DIR}/Makefile" ]; then
( verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
if verbose 1 make -j "${SHPKG_NCPU}"; then
- shpkg_build_status "${SHPKG_REPO}" ok 2>/dev/null || true
+ verbose 2 shpkg_build_status "${SHPKG_REPO}" ok || true
else
- shpkg_build_status "${SHPKG_REPO}" ko 2>/dev/null || true
+ verbose 2 shpkg_build_status "${SHPKG_REPO}" ko || true
false
fi ; )
elif [ -f "${SHPKG_SRC_DIR}/${SHPKG_REPO_DIR}/CMakeLists.txt" ]; then
if verbose 1 cmake -j "${SHPKG_NCPU}" --build "${SHPKG_REPO_OBJ_DIR}"; then
- shpkg_build_status "${SHPKG_REPO}" ok 2>/dev/null || true
+ verbose 2 shpkg_build_status "${SHPKG_REPO}" ok || true
else
- shpkg_build_status "${SHPKG_REPO}" ko 2>/dev/null || true
+ verbose 2 shpkg_build_status "${SHPKG_REPO}" ko || true
false
fi
fi